.\" $NetBSD: locale.alias.5,v 1.1 2004/07/21 19:49:21 tshiozak Exp $
.\"
.\" Copyright (c)2004 Citrus Project,
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd July 22, 2004
.Dt LOCALE.ALIAS 5
.Os
.Sh NAME
.Nm locale.alias
.Nd locale alias file
.Sh SYNOPSIS
.Nm locale.alias
.Sh DESCRIPTION
The
.Nm locale.alias
file describes locale aliases.
Each line of this file can be described as the following BNF:
.Bd -literal -offset indent
line			:=	src ws dst
src			:=	locale_name
			|	locale_category_name
ws			:=	\*[Lt]white spaces\*[Gt]
dst			:=	locale_name
			|	"/FORCE"
locale_category_name	:=	locale_name '/' category_name
category_name		:=	"LC_CTYPE"
			|	"LC_COLLATE"
			|	"LC_TIME"
			|	"LC_NUMERIC"
			|	"LC_MONETARY"
			|	"LC_MESSAGES"
locale_name		:=	\*[Lt]locale name\*[Gt]
.Ed
.Sh FILES
.Bl -tag -width /usr/share/locale/locale.alias -compact
.It Pa /usr/share/locale/locale.alias
This file.
.El
.Sh EXAMPLES
.Bd -literal -offset indent
ja_JP.UTF-8/LC_CTYPE		en_US.UTF-8
.Ed
This means that
.Dq Dv ja_JP.UTF-8
for
.Dv LC_CTYPE
category is redirected to
.Dq Dv en_US.UTF-8 .
.Bd -literal -offset indent
Pig				/FORCE
.Ed
This means that
.Dq Dv Pig
for all categories is forcibly enabled.
.Sh SEE ALSO
.Xr locale 1 ,
.Xr nls 7
.Sh HISTORY
The
.Nm
file appeared in
.Nx 3.0 .
